// pages/personalCenter/personalCenter.js

const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    myTicketArrows: false,
    historyTicketArrows: false,
    getUser:false,
    getUserArr: [],//用户信息
    userChuan:[],
    userPhone:"",//用户手机号
    mydeg: -90,
    historydeg: -90,
    pageNum:1,
    pageCount:5,
    historyArr: [],//优惠券使用记录列表
    getHistory: [],//每次接口拉取的数据
    getHistoryArr: [],//全部使用数据
    myTicketArr: [],//我的优惠券列表
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (app.globalData.openId) {
      this.myTicket();
      this.historyTicket();
    } else {
      app.globalData.openidSuccessFuc = this.myTicket;
      app.globalData.openidSuccessFuc = this.historyTicket;
    }
    console.log(app.globalData.userInfo)
    if (app.globalData.userInfo.item_state == 2) {
      var userArr = [];
      var phone="";
      userArr.push(app.globalData.userInfo.headimgurl);
      userArr.push(app.globalData.userInfo.nickname);
      phone = app.globalData.userInfo.user_phone
      this.setData({
        getUserArr: userArr,
        getUser: true,
        userPhone: phone
      })
    }
    console.log(this.data.getUserArr)
  },
  myTicket:function(){//获取我的优惠券列表
    app.wxRequest(app.globalData.httpUrl + 'couponbuy/validtype', {}, e => {
      console.log(e)
      if (e.code == 200) {
        this.setData({
          myTicketArr: e.data
        })
      } 
    }, this)
  },
  historyTicket: function () {//获取优惠券使用列表
    this.data.getHistory = [];
    app.wxRequest(app.globalData.httpUrl + 'couponbuy/historyuse', {cur_page: this.data.pageNum, show_num: this.data.pageCount}, e => {
      console.log(e)
      if (e.code == 200) {
        for(var i=0;i<e.data.length;i++){
          this.data.getHistoryArr.push(e.data[i]);
        }
        this.data.getHistory = e.data
        this.setData({
          historyArr: this.data.getHistoryArr,
        })
      }
    }, this)
  },
  lower:function(){//检测上拉是否到底
    console.log("到底了")
    if (this.data.getHistory.length!=0){
      this.data.pageNum++;
      this.historyTicket()
    }else{
      wx.showToast({
        title: '没有更多数据了',
        icon: "none",
        duration: 1000
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  lookMyTicket:function(){
    this.setData({
      myTicketArrows: !this.data.myTicketArrows,
    })
    if (this.data.myTicketArrows){
      this.setData({
        mydeg: 0,
      })
    }else{
      this.setData({
        mydeg: -90,
      })
    }
  },
  lookHistory:function(){
    this.setData({
      historyTicketArrows: !this.data.historyTicketArrows,
    })
    if (this.data.historyTicketArrows) {
      this.setData({
        historydeg: 0,
      })
    } else {
      this.setData({
        historydeg: -90,
      })
    }
  },
  lookTicket: function (e) {//查看优惠券
    console.log(e)
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../TicketDetails/TicketDetails?id=' + id,
    })
  },
  giveTicket:function(e){//赠送优惠券
    var id = e.target.dataset.id;
    wx.navigateTo({
      url: '../givePage/givePage?id=' + id,
    })
  },
  getUser:function(e){//点击登陆获取用户信息
    console.log(e)
    var userArr = [];
    var phone = "";
    userArr.push(e.detail.userInfo.avatarUrl);
    userArr.push(e.detail.userInfo.nickName);
    phone = app.globalData.userInfo.user_phone
    this.data.userChuan = e.detail.userInfo;
    this.setData({
      getUserArr: userArr,
      getUser: true,
      userPhone: phone
    })
    this.submitUser();
    console.log(this.data.getUserArr)
  },
  submitUser:function(){//提交用户信息
    var params={
      "province": this.data.userChuan.province,
      "language": this.data.userChuan.language,
      "city": this.data.userChuan.city,
      "gender": this.data.userChuan.gender,
      "nickname": this.data.userChuan.nickName,
      "headimgurl": this.data.userChuan.avatarUrl,
    }
    app.wxRequest(app.globalData.httpUrl + 'submit', params, e => {
      console.log(e)
      if (e.code == 200) {
       
      }
    }, this,"POST")
  }
})